# Get Loan Tracking Report

To obtain the loan tracking report, make a GET request to the endpoint:\
\ <mark style="color:blue;">`GET`</mark> `/api/Report/v1/GetLoanTrackingReport`\
\
The request should contain the necessary parameters to identify the specific loan tracking report. This facilitates the retrieval of loan tracking information and management of loan-related data.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Query Parameter**

<table><thead><tr><th width="241">Name</th><th width="173">Data Type (length)</th><th>Description</th><th data-hidden>Required</th></tr></thead><tbody><tr><td><code>useCurrentFinancialDate</code></td><td>boolean</td><td>If <code>true</code> is set, the current financial date will be used, and If <code>false</code> is set, you must provide a financial date</td><td></td></tr><tr><td><code>financialDate</code></td><td>date</td><td>The financial date is to be used if <code>useCurrentFinancialDate</code> is set to false</td><td></td></tr><tr><td><code>loanAccountNumber</code></td><td>string</td><td>The unique identifier for the loan account</td><td></td></tr><tr><td><code>branchCode</code></td><td>string</td><td>The code representing the branch of the loan account</td><td></td></tr><tr><td><code>productCode</code></td><td>string</td><td>The product code linked to the loan account</td><td></td></tr><tr><td><code>employeeID</code></td><td>string</td><td>The employee ID linked to the report request</td><td></td></tr><tr><td><code>accountOfficerStaffID</code></td><td>string</td><td>The staff ID of the account officer responsible for the loan</td><td></td></tr><tr><td><code>pageNumber</code></td><td>integer</td><td>The page number for paginated results</td><td></td></tr><tr><td><code>pageSize</code></td><td>integer</td><td>The number of records per page for paginated results</td><td></td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseUrl}}/api/Report/v{{version}}/GetLoanTrackingReport?UseCurrentFinancialDate=true&LoanAccountNumber=1000003305000072273&BranchCode=001&ProductCode=001&EmployeeID=001&AccountOfficerStaffID=110&PageNumber=1&PageSize=10'
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
//
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/reports/report-api/get-loan-tracking-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
